Module | Sequel::SQL::SubscriptMethods
In: | lib/sequel/sql.rb

This module includes the `sql_subscript` method, representing SQL array accesses.

### Methods

sql_subscript

### Public Instance methods

sql_subscript(*sub)

Return a `Subscript` with the given arguments, representing an SQL array access.

      :array.sql_subscript(1) # array[1]
      :array.sql_subscript(1, 2) # array[1, 2]
      :array.sql_subscript([1, 2]) # array[1, 2]

[Source]

         # File lib/sequel/sql.rb, line 844
    844:       def sql_subscript(*sub)
    845:         Subscript.new(self, sub.flatten)
    846:       end

[Validate]